Subject: Re: [PATCH 1/2] Revert "rsi: fix potential null dereference in rsi_probe()"

From: Johan Hovold <[email-masked]>
Date: Tue, 8 Oct 2019 18:44:39 +0200

On Tue, Oct 08, 2019 at 06:56:37PM +0300, Kalle Valo wrote:
> Kalle Valo <[email-masked]> writes:
> 
> > Johan Hovold <[email-masked]> writes:
> >
> >> This reverts commit f170d44bc4ec2feae5f6206980e7ae7fbf0432a0.
> >>
> >> USB core will never call a USB-driver probe function with a NULL
> >> device-id pointer.
> >>
> >> Reverting before removing the existing checks in order to document this
> >> and prevent the offending commit from being "autoselected" for stable.
> >>
> >> Signed-off-by: Johan Hovold <[email-masked]>
> >
> > I'll queue these two to v5.4.
> 
> Actually I'll take that back. Commit f170d44bc4ec is in -next so I have
> to also queue these to -next.

That's right. I'm assuming you don't rebase your branches, otherwise
just dropping the offending patch might of course be an option instead
of the revert.

Johan